% AIC:
%
%   param = number of paramters in model
%   SS = optional, specifies whether or not to use sum-of-squares rather than liklihood ratio

function A = AIC(Obs,Exp,param,SS)

    if(nargin < 4)
        SS = [];
    end;
    
    if(isempty(SS))
        SS = 1;
    end;
    
    SSD = sumsqdev(Obs,Exp);
    n = length(Obs);
    
    if(SS == 0)
        A = (-2*log(LH)) + (2*param);
    end;
    if(SS == 1)
        A = (n*log(SSD/n)) + (2*param);
    end;
    
    
    
return;