% CV: Calculates the coefficient of variation for a data vector or data matrix
%
%  Usage: cv = cv(X,grps)
%
%           X = data vector or data matrix
%           grps = optional, grouping vector
%           ---------------------------------------------------
%
%
%  Chris Higgins 10/24/2001
%

% Stand alone


function cv = cv(X,grps)

   [r,c] = size(X);
   
   if(nargin < 2)
      grps = [];
   end;
   if(isempty(grps))
      grps = ones(r,1);
   end;
   
   [u,f] = unique1(grps);
   lenu = length(u);
   
   cv = zeros(lenu,c);
   
   for i = 1:c
      for k = 1:lenu
         ind = find(grps == k);
         a = X(ind,i);
         cv(k,i) = std(a) / mean(a);
      end;
   end;
   
return;

   
   
            