%FVALUE: Determines the test statistic for the F-test
%
%	Usage:	f = fvalue(x,grps)
%
%				f = the F statistic
%				-----------------------------------
%				x = a vector containg the data
%				grps = a grouping vector
%
%	Chris Higgins 2/10/200
%

function f = fvalue(x,grps)

	grp_id = unique(grps);
   
   x1 = x(grps == grp_id(1));
   x2 = x(grps == grp_id(2));
   
   f = var(x1) ./ var(x2);
   
return;