% KolmSmirTest: This function performs a Kolmogorov Smirnoff Test for 2 of more distributions.

function [KSstat,prob] = KolmSmirTest(X,Grps)

     [u,f] = unique1(Grps);
     NumGrps = length(u);           % Determine number of distributions
     
%      for i = 1:NumGrps
%          Ind = find(Grps == i);
%          Y(:,i) = X(Ind);
%          CumY(:,i) = cumsum(Y(:,i)) / sum(Y(:,i));
%      end;
% CumY
    NumComb = comb(NumGrps,2);                                      % calculate number of pairwise combinations
    MaxDiff = [];
    for a = 1:NumComb-1
        for b = a+1:NumComb
            X1 = X(find(Grps==a));                % Separate data by group
            X2 = X(find(Grps==b));
            n1 = length(X1);
            n2 = length(X2);

            dist = uniquef([X1;X2],1);            % Create common abscissa
            nx = length(dist);
            dist = [dist, zeros(nx,2)];           % Add 2 cols for cum distribs

            incr = 1./n1;
            for i = 1:n1                          % Put cum distrib 1 on common abscissa
                j = find(dist(:,1)==X1(i));
                dist(j,2) = dist(j,2)+incr;
            end;

            incr = 1./n2;
            for i = 1:n2                          % Put cum distrib 2 on common abscissa
                j = find(dist(:,1)==X2(i));
                dist(j,3) = dist(j,3)+incr;
            end;

            dist(:,2) = cumsum(dist(:,2));        % Convert to cum distribs
            dist(:,3) = cumsum(dist(:,3));
            
            Diff = dist(:,2) - dist(:,3);
            MaxDiff = [MaxDiff; max(abs(Diff))];
        end;
    end;
    KSstat = max(MaxDiff);
return;