% LINEREG

function b = linereg(X,Y,Xp,w,noay)

   if(nargin < 3)
      Xp = [];
   end;
   if(nargin < 4)
      w = [];
   end;
   if(nargin < 6)
      noay = [];
   end;
   
   [rx,cx] = size(X);
   [ry,cy] = size(Y);
   if(cx > rx)
      X = X';
      [rx,cx] = size(X);
   end;
   if(cy > ry)
      Y = Y';
      [ry,cy] = size(Y);
   end;
   
   if(rx ~= ry)
      error('LINEREG: X and Y must have the same number of observations.');
   end;
  
   if(isempty(noay))
    XX = [ones(rx,1) X];               % Augment the X-matrix
    b = zeros(cx + 1,cy);                 % Allocate parameter matrix
  else
    XX = X;                           % Use original X-matrix
    b = zeros(cx + 1,cy);                   % Allocate parameter matrix
  end;
   
   if(isempty(w))
      w = ones(rx,1);
   end;
   
   W = diag(w,0);
   
   for i = 1:cy
      y = Y(:,i);
      by = inv(XX' * W * XX) * XX' * W * y;
      b(:,i) = by;
   end;   

 