% LogPopGrowth:

function N = LogPopGrowth(N0,t,r,K,rVar,KVar,doplot)

    if(nargin < 5)                                              % Allocate input arguments
        rVar = [];
    end;
    if(nargin < 6)
        KVar = [];
    end;
    if(nargin < 7)
        doplot = [];
    end;
    
    if(isempty(rVar))
        rVar = 0;
    end;
    if(isempty(KVar))
        KVar = 0;
    end;
    if(isempty(doplot))
        doplot = 0;
    end;
    
    N(1) = N0;
    
    for i = 1:t
        rBar = normrnd(r,rVar);
        KBar = normrnd(K,KVar);
        N(i+1) = KBar/(1+((KBar-N0)/N0)*exp(-rBar*i));
    end;
    
    if(doplot ~= 0)
        plot(N);                                                % Plot expected values
    end;
    
return;