% MAJORAXIS:

function b = majoraxis(X,Y)

   lenx = length(X);
   leny = length(Y);
   
   if (lenx ~= leny)
      error('  Input vectors must be of same size');
   end;

   meanx = mean(x);
   meany = mean(y);
   varx = var(x);
   vary = var(y);
   c = cov(x,y);
   covxy = c(1,2);

   slope = zeros(2,1);
   intcpt = zeros(2,1);

   slope(1) = (vary - varx + sqrt((vary-varx)^2+4*covxy^2)) / (2*covxy);
   intcpt(1) = meany - slope(1)*meanx;

   slope(2) = -1/slope(1);
   intcpt(2) = meany - slope(2)*meanx;

   b = [slope, intcpt];
return;