%NNET:	Neural network for .
%
%
%

function [E,a2] = nnet(data,grps,n)

	if(nargin < 1)
      error('NNETPATH: The training data must be supplied.');
   end;
   if(nargin < 2)
      error('NNETPATH: The grouping vector for the training data must be supplied');
   end;
   
   [r,c] = size(data);
   [u,freq] = unique1(grps);

   
   D1 = data([1:n],:);							
   D2 = data([(freq(1)+1):freq(1)+n],:);	
   D3 = data([freq(1)+freq(2)+1:freq(1)+freq(2)+n],:);
   
   P1 = D1';
   P2 = D2';
   P3 = D3';
   P = [P1 P2 P3];									% Combine data from both tactics
   
   T1 = (makegrps([1 0 0],n))';			% Generate target matrix of 
   T2 = (makegrps([0 1 0],n))';			%   proper size for output
   T3 = (makegrps([0 0 1],n))';
   T = [T1;T2;T3];                        
	
   tp = [1000 1000 0.1];							% Allocate tp vector for training
   
   E = [];
      
   for g = 1:1
      for i = 50:2:50
         for j = 50:2:50
         num = [g i j]
	   	[W1,b1,W2,b2,W3,b3] = initff(P,i,'tansig',j,'logsig',T,'logsig');
		   %[W1,b1,W2,b2,W3,b3,ep,err] = trainbpx(W1,b1,'tansig',W2,b2,'logsig',W3,b3,'logsig',P,T,[1000 1000 0.1]);
	      [W1,b1,W2,b2,W3,b3,ep,err] = trainlm(W1,b1,'tansig',W2,b2,'logsig',W3,b3,'logsig',P,T,[1000 1000 0.1]);
			e = err(1,:);
         E = [E;e];
         
         a2 = simuff(P,W1,b1,'tansig',W2,b2,'logsig',W3,b3,'logsig');
         [r,c]=size(a2);
         
         C1 = 0;
         C2 = 0;
         C3 = 0;
         
         for k = 1:c
            if(a2(1,k) >= 0.8 & a2(2,k) <= 0.2 & a2(3,k) <= 0.2)
               C1 = C1 + 1;
            end;
            if(a2(1,k) <= 0.2 & a2(2,k) >= 0.8 & a2(3,k) <= 0.2)
               C2 = C2 + 1;
            end;
            if(a2(1,k) <= 0.2 & a2(2,k) <= 0.2 & a2(3,k) >= 0.8)
               C3 = C3 + 1;
            end;
         end;
         	C = [C1 C2 C3]
         end;
         end;
   end;
return