%PLOTNUMB:	Plots the points in order and places the actual number on the plot
%
%	Usage:	plotnumb(x,y,numbs) or plotnumb(pts)
%
%				-------------------------------------------------------------------
%				x = a vector of x coordinates
%				y = a vector of y coordinates
%               numbs = a vector of numbers to be plotted
%
%	Chris Higgins
%
%	Stand Alone
%

function plotnumb(x,y,numbs)

	if(nargin < 1)
      error('PLOTNUMB: Point coordinates must be entered.');
   end;
	if(nargin < 2)
      x = x(:,1);
      y = x(:,2);
   end;
    if(nargin < 3)
        numbs = [];
    end;
   
	plot(x,y,'k*');
	
    deltax = 2.5 % 0.11 * range(x);
   
    for i = 1:length(x)
        if(isempty(numbs))
    	    c = num2str(i);
        	text(x(i) + deltax,y(i) + deltax,c);
        else;
            c = num2str(numbs(i));
            text(x(i) + deltax,y(i) + deltax,c);
        end;
    end;

return;
