%PATHIND:	Determines the path statistics given a set of point coordinates and a matrix
%				of path indices.
%
%

function stats = pathind(pts,ind,grps)

	if(nargin < 1)
      error('PATHIND: The point coordinates must be specified.');
   end;
   if(nargin < 2)
      error('PATHIND: The vector containing the order must be specified.');
   end;
   
   [u,freq] = unique(grps);
   lenu = length(u);
   l = lenu.*freq(1);
   stats = zeros(l,15);
   
   for i = 1:lenu
      for j = 1:freq
         count = ((i-1).*freq(1))+ j         
   	   p = pts(:,(j.*2-1):(j.*2));
      	crds = p(ind((i-1).*freq(1)+j,:),:);
         stats(((i-1).*freq(1))+ j,:) = (pathstat(crds))';

      end;
   end;
return;