%PATHMID:

function [midpt,dist] = pathmid(crds)

    [r,c] = size(crds);
    
    if(r < 2)
        error('PATHMID: Only one point was given');
    end;
    
    if(r == 2)
        dist = sqrt(((crds(1,1) - crds(2,1))^2) + ((crds(1,2) - crds(2,2))^2));
        midpt = [((crds(1,1) + crds(2,1))/2) ((crds(1,2) + crds(2,2))/2)];
    end;
     
    if(r > 2)
        a = sqrt(((crds(1:r-1,1) - crds(2:r,1)).^2) + ((crds(1:r-1,2) - crds(2:r,2)).^2));
        dist = sum(a);
        midd = dist/2;
        b = zeros(length(a),1);
        
        for i = 2:length(a)
           b(1) = midd - a(1);
           b(i) = b(i-1) - a(i);
        end;
      
        i = find(b < 0);
        ind = i(1);
        endpt1 = crds(ind,:);
        endpt2 = crds(ind+1,:);
        theta = anglerad(endpt1,endpt2) * (pi/180);
        xf = (midd * cos(theta)) + crds(ind,1);
        yf = (midd * sin(theta)) + crds(ind,2);
        midpt = [xf yf];
     end;
        
return;