%PATHRAND: 	Detremines the random path generated from a starting point
%				index and a series of coordinates.
%
%	USAGE:	randpath = pathrand(pts,{sn})
%				
%				randpath = 	the indices of the random path
%				----------------------------------------------------------
%				pts = 		an [n x 2] matrix of coordinates
%									column 1 = X corrdinates
%									comlun 2 = Y coordinates
%				sn = 			optional, the index of the starting point {default = 1}
%
%	Chris Higgins	3/10/2000
%
%	STAND ALONE
%

function randpath = pathrand(pts,sn)

	if(nargin < 1)
      error('PATHRAND: Point coordinates must be given.');
   end;
   if(nargin < 2)										% Allocate input arguments
      sn = [];
   end;
   
   if(isempty(sn))									% Assign values to input arguments
      sn = 1;
   end;
   
	len = length(pts);								% Calculate number of food items
	randpath = zeros(1,len);						% Allocate random path
      
   permpath = randperm(len);						% Randomly permute the order of food items
   f = find(permpath == sn);						% Find the start point in the food items
   permpath(f) = [];								% Remove start point from remaining food items
   
   randpath(1) = sn;									% Add start point to the path
   randpath(2:len) = permpath;					% Place rest of food items in path

return;