%PATHTRAJ: 		Determnines the trajectory directed path generated from a 
%					starting point and a series of point coordinates
%
%		USAGE: 	trajpath = pathtraj(pts)
%
%					trajpath = the trajectory directed path
%					------------------------------------------------------------
%					pts = an [n x 2] matrix of point coordinates
%						column 1 = x coordinates
%						column 2 = y coordinates
%
%	Chris Higgins 2/22/2000
%
%	STAND ANLONE
%

function trajpath = pathtraj(pts)

	len = length(pts);												% Calculate number of points
   trajpath = zeros(1,len);										% Allocate vector for path indices
   
   theta = rand .* (pi/2);											% Generate angle within arena
   T = [cos(theta) -sin(theta); sin(theta) cos(theta)];	% Calculate transformation matrix
   
   new_pts = pts * T;												% Calculate rotated points
   s = sort(new_pts(:,1));											% Sort rotated points 
   
   for i = 1:len
      trajpath(i) = find(new_pts(:,1) == s(i));				% Find indices to points for pat
   end;
   
return;