% ScheinerRand



function [S,N,DA,DP,DFmean,DFmin,DAP,DAFmean,DAFmin,DPFmean,DPFmin,DAPFmean,DAPFmin,L,totvolmean,totvolmin]...
    = ScheinerRand(ObsEdges,ObsEdgeMat,ObsTraits,ObsSAD,fweights,q,sampwr,iter)

    [rT,cT] = size(ObsTraits);
    if(nargin < 5)
        fweights = ones(1,cT);
    end;
    if(nargin < 6)
        q = 1;
    end;
    if(nargin < 7)
        sampwr = 1;
    end;
    if(nargin < 8)
        iter = 1000;
    end;

    conflevel = 0.95;

     %    [S,N,DA,DP,DFmean,DFmin,DAP,DAFmean,DAFmin,DPFmean,DPFmin,DAPFmean,DAPFmin,L,totvolmean,totvolmin]= scheinerMDBx(ObsEdges,ObsEdgeMat,ObsTraits,ObsSAD,fweights,q); 


    Sp = length(ObsSAD);

    for i = 2:Sp
  
        
        for j = 1:iter
            if(sampwr == 1)
                [ExpSAD,Ind] = samplewr(ObsSAD,i);
            else
                [ExpSAD,Ind] = samplewor(ObsSAD,i);
            end;
            ExpEdgeMat = ObsEdgeMat(:,Ind);
            Rind = find(rowsum(ExpEdgeMat) > 0);
            ExpEdges = ObsEdges(Rind);
            ExpEdgeMat = ExpEdgeMat(Rind,:);
            ExpTraits = ObsTraits(Ind,:);
            [ExpS(i,j),ExpN(i,j),ExpDA(i,j),ExpDP(i,j),ExpDFmean(i,j),ExpDFmin(i,j),ExpDAP(i,j),ExpDAFmean(i,j),ExpDAFmin(i,j),ExpDPFmean(i,j),ExpDPFmin(i,j),ExpDAPFmean(i,j),ExpDAPFmin(i,j),ExpL(i,j),ExpTotVolmean(i,j),ExpTotVolmin(i,j)]...
                = scheinerMDBx(ExpEdges,ExpEdgeMat,ExpTraits,ExpSAD,fweights,q);
        end;

% BELOW THIS LINE WE ARE CALCULATING THE MEAN AND 95% CONFIDENCE INTERVALS
% FOR EACH OF THE OUTPUT ARGUMENTS

    S(i,1) = mean(ExpS(i,:));
    S(i,[2:3]) = prctile(ExpS(i,:),[2.5 97.5]);
        
    N(i,1) = mean(ExpN(i,:));
    N(i,[2:3]) = prctile(ExpN(i,:),[2.5 97.5]);
    
    DA(i,1) = mean(ExpDA(i,:));
    DA(i,[2:3]) = prctile(ExpDA(i,:),[2.5 97.5]);
  
    DP(i,1) = mean(ExpDP(i,:));
    DP(i,[2:3]) = prctile(ExpDP(i,:),[2.5 97.5]);
    
    DFmean(i,1) = mean(ExpDFmean(i,:));
    DFmean(i,[2:3]) = prctile(ExpDFmean(i,:),[2.5 97.5]);
    
    DFmin(i,1) = mean(ExpDFmin(i,:));
    DFmin(i,[2:3]) = prctile(ExpDFmin(i,:),[2.5 97.5]);
    
    DAP(i,1) = mean(ExpDAP(i,:));
    DAP(i,[2:3]) = prctile(ExpDAP(i,:),[2.5 97.5]);

    DAFmean(i,1) = mean(ExpDAFmean(i,:));
    DAFmean(i,[2:3]) = prctile(ExpDAFmean(i,:),[2.5 97.5]);
    
    DAFmin(i,1) = mean(ExpDAFmin(i,:));
    DAFmin(i,[2:3]) = prctile(ExpDAFmin(i,:),[2.5 97.5]);
    
    DPFmean(i,1) = mean(ExpDPFmean(i,:));
    DPFmean(i,[2:3]) = prctile(ExpDPFmean(i,:),[2.5 97.5]);
    
    DPFmin(i,1) = mean(ExpDPFmin(i,:));
    DPFmin(i,[2:3]) = prctile(ExpDPFmin(i,:),[2.5 97.5]);

    DAPFmean(i,1) = mean(ExpDAPFmean(i,:));
    DAPFmean(i,[2:3]) = prctile(ExpDAPFmean(i,:),[2.5 97.5]);
    
    DAPFmin(i,1) = mean(ExpDAPFmin(i,:));
    DAPFmin(i,[2:3]) = prctile(ExpDAPFmin(i,:),[2.5 97.5]);
        
    L(i,1) = mean(ExpL(i,:));
    L(i,[2:3]) = prctile(ExpL(i,:),[2.5 97.5]);

    totvolmean(i,1) = mean(ExpTotVolmean(i,:));
    totvolmean(i,[2:3]) = prctile(ExpTotVolmean(i,:),[2.5 97.5]);    

    totvolmin(i,1) = mean(ExpTotVolmin(i,:));
    totvolmin(i,[2:3]) = prctile(ExpTotVolmin(i,:),[2.5 97.5]);
    
    end;  
    
return;