% Strauss: This function calcauates the Strauss selection index and
% assesses significance for each index.
%
%   Usage: [L,t,p] = Strauss(Y,X)
%
%   Y = 
%   X = 
%   -----------------------------------------------------------------------
% 

function [L,t,p] = Strauss(Y,X)

    [r,c] = size(X);                   % Determine size of input variables
    if(size(Y) ~= size(X))
        error('Strauss: matrix size does not agree')
    else;
    X = X ./ sum(X);                                        % Make sure vectors are relative not absolute
    Y = Y ./ sum(Y);
    
    L = X - Y
    for i = 1:r
        L(i) = 
        for j = 1:c
            RX(i,j) = X(i,j) / rowsum(X(i,:))
            RY(i,j) = Y(i,j) / rowsum(Y(i,:))
            L(i,j) = RX(i,j) - RY(i,j) 
            a = (RX(i,j)*(1-RX(i,j)))/rowsum(X(i,:));
            b = (RY(i,j)*(1-RY(i,j)))/rowsum(Y(i,:));
            s(i,j) = sqrt(a + b);
            if(s(i,j) == 0)
                t(i,j) = 0;
            else;
                t(i,j) = L(i,j) / s(i,j);
            end;
            p = 1-tcdf(t(i,j),(r*2-2));
        end;
    end;
    end;
        
return;