%TVALUE: 	Determines the t value for two data vectors
%
%	Usage: 	t = tvalue(x,y)
%
%				t = the t value for the data vectors
%				------------------------------------------
%				x = a data vector
%				y = a data vector
%
%	Chris Higgins 1/26/2000
%

function t = tvalue(x,y)

	num = mean(x) - mean(y);
   denom = sqrt(var(x)./length(x) + var(y)./length(y));
   t = num ./ denom;
return;
