% TrueBeta:


function [alpha,beta,gamma] = TrueBeta(X,q)


    [sites,species] = size(X);

    Y = X ./ sum(sum(X))                                       % Convert absolute abundances into proportion of the toal abundance of all species
    h = harmmean(Y)
    inv(h)
    g = geomean(Y)
    inv(g)
    a = mean(Y)
    inv(a)
    
    if(q == 1)
        q = q - eps;
    end;
    
    p = sum(Y.^q)  .^(1/(q-1))                                                 % Calculate species weights
    w = rowsum(Y.^q)  .^(1/(q-1))                                               % Calculate site weights
    log(1/g)
    
    D = p.^-1
    D2 = sum(Y.^q)  .^(1/(1-q))
    
    alpha = [];
    beta = [];
    gamma = [];