% ANGLEPTS: Determines the angle between 3 points (P,Q,R) with Q being the vertex
%
%   Usage: deg = anglepts(P,Q,R)
%
%   P = point 1
%   Q = the vertex point
%   R = point 3
%   -----------------------------------------------------------------------------
%   deg = the angle between the points
%
%   Chris L. Higgins    2/15/2003
%

function deg = anglepts(P,Q,R)

    N = (P(1) - Q(1))*(P(1) - R(1)) + (P(2) - Q(2))*(P(2) - R(2));
    DPQ = ptsdist(P,Q);
    DPR = ptsdist(P,R);

    theta = acos(N / (DPQ*DPR));
    deg = theta * 180 / pi;
    
return;