%ANGLERAD: 	Determines the angle,in degrees, between two given points from the horizontal
%
%	Usage: 	theta = anglerad(x,y)
%		
%				theta = the angle between two given points
%				---------------------------------------------
%				pt1 = an [1 x 2] vector containing the coordinates for point x
%				pt2 = an [1 x 2] vector containing the coordiantes for point y
%
%	Chris Higgins 2/16/2000
%
%	STAND ALONE
%

function ang = anglerad(pt1,pt2)

	x = pt1(1) - pt2(1);
	y = pt1(2) - pt2(2);
   if(x == 0)
      x = nan;
   end;
   if(y == 0)
      y = nan;
   end;
   
	e = y ./ x;
	c = 180 ./ pi;
	a = abs(atan(e) .* c);

	if(pt2(1) >= pt1(1))
   		if(pt2(2) >= pt1(2))
      			ang = a;
   		else
      			ang = 360 - a;
   		end;
	else
		if(pt2(2) >= pt1(2))
      			ang = 180 - a;
   		else
      			ang = 180 + a;
   		end;
   	end;
return;