% CHECKSTAT: Calculates the number of checkerboard units in a presence-absence matrix.
%
%   Usage: C = checkstat(X)
%
%   X = binary data matrix
%   -----------------------------------------------------------------------------------
%   C = number of checkerboard
%
%   Chris L. Higgins 11/28/2006
%

function C = checkstat(X)

    [r,c] = size(X);
    Richness = rowsum(X);
    Incidence = sum(X);
    C = 0;
    for i = 1:c-1
        for j = i+1:c
            ind1 = find(X(:,i) == 1);
            ind2 = find(X(:,j) == 1);
            S = sum(Isin(ind1,ind2));
            R1 = sum(X(:,i));
            R2 = sum(X(:,j));
            C = C + ((R1-S)*(R2-S));
        end;
    end;
   
return;