%chi2cont:

function [Chi2,p] = chi2cont(X)

    [r,c] = size(X);
    
    Csum = sum(X);
    Rsum = rowsum(X);
    GT = sum(sum(X));
    
    RP = Rsum / GT;
    CP = Csum / GT;
    
    Exp = RP * CP * GT;
    
    Diff = ((X - Exp).^2) ./ Exp;
    
    Chi2 = sum(Diff(:));
    
    df = (r-1) * (c-1);
    p = 1-chi2cdf(Chi2,df);
    
return;