% COMB: This function calculates the number of combinations of N items taking r at a time.
%
%   Usage: C = comb(N,r)
%
%   N = the total number of items 
%   r = the number of items to take at a time
%   ---------------------------------------------------------------------------------------
%   C = the total number of combinations of N items taking r at a time
%
%   Chris L. Higgins 2/17/2003
%

function C = comb(N,r)

    if(nargin < 2)
        error('COMB: The number of items to take at a time must be given!');
    end;

    if(N >= r)
        num = factorial(N);
        denom = factorial(r)*factorial(N-r);
        C = num/denom;
    else
        C = 0;
    end;

return;