% CONFLIMIT:	Determines the confidence limits for a given distribution.
%
% 	USAGE:		[lower,upper] = conflimit(distrib,{conf})
%
%		      	lower = the lower confidence limit
%	       		upper = the upper confidence limit
%       			--------------------------------------
%       			distrib = the given distribution
%		    	   conf = optional, the confidence limits {default = 95}
%
% Chris Higgins 11/15/1999
%
%	STAND ALONE
%

function [lower,upper] = conflimit(distrib,conf)

	if(nargin < 2)
  	   conf = [];
  	end;
  	if(isempty(conf))
   	conf = 0.95;
  	end;

    alpha = 1 - conf;

    index_min = floor(length(distrib) .* (alpha ./ 2));
  	index_max = ceil(length(distrib) - (1-(alpha ./ 2)));

	distrib = sort(distrib);
	lower = distrib(index_min);
 	upper = distrib(index_max);
    
return