%DISTMATRIX:	Given a set of coordinates, produces a sqaure distance matrix.
%
%	USAGE:	dist = 	distmatrix(pts)
%			
%				dist = 	a square distance matrix 
%				---------------------------------
%				pts = 	a matrix [n x 2], containing the coordinates
%								column 1 = x coordinates
%								column 2 = y coordinates
%
%	Chris Higgins	2/28/2000
%
%	REQUIRES: euclidist

function dist = distmatrix(pts)
  
   len = length(pts);							% Determine number of coordinates
   dist = zeros(len,len);						% Allocate matrix
       
   for i = 1:len
      p1 = pts(i,:);								% Calculate all possible pairwise distances
      for j = 1:len
         p2 = pts(j,:);
         d = euclidist(p1,p2);
      	dist(i,j) = d;   
      end;
   end;
return;
   
