% EIGANALYSIS: Performs an eigenanalysis on a data matrix
%
%	USAGE:	[eigvects,eigvals] = eiganalysis(x,c)
%
%				eigvects = 	a matrix containing the eigenvectors
%				eigvals =  	a vector in descending order containg the
%								eigenvalues
%				--------------------------------------------------------
%				x = a data matrix
%				co = a variable to determine if we use the covariance matrix 
%						or the correlation matrix
%							0 = covariance matrix {default}
%							1 = correlation matrix
%
%	Chris Higgins 4/17/2000
%

function [eigvects,eigvals] = eiganalysis(x,co,a,b)

	if(nargin < 2)
   	co = [];
   end;
     
   if(isempty(co))
      co = 0;
   end;
     
   if(nargin < 3)
	   if(co == 0)
   	   a = cov(x);
  		else
      	a = corrcoef(x);
   	end;
    	[A,L] = eig(a);
   else
      [A,L] = eig(a,b);
      A = real(A);
      L = real(L);
   end;
      
   [eigvals,i] = sort(diag(-L));
  	eigvals = -eigvals;
   eigvects = A(:,i);
%   [r,c] = size(eigvects);
   
%   for i = 1:c
%   	if (sum(eigvects(:,i))<0)
%   	  	eigvects(:,i) = -eigvects(:,i);
%    	end;
% 	end;
 
return;
