function [theta,m,phin,preston,d]=estimate_anal_ZSM(data)
%[theta,m,phin,preston]=estimate_anal_ZSM(data)
%
%estimates theta & m in the fashion of Volkov et al & then calculates the SAD
% as given by equation 7 in Nature 424:1035-1037 by Volkov et al
%
% WARNING - does not estimate for values of m<0.01 - the method chosen by
% Volkov et al performs very poorly in this region. If you get back an m
% very close to 0.01, bewaree
%
% written by Brian McGill who should be cited if you use this code for a 
% publication. Contact mail@brianmcgill.org if you have any comments or suggestions

J=sum(data);
[m,d]=fminbnd(@dist,0.01,0.9999,optimset('Display','iter','TolX',.001),data);
theta=solvetheta(data,m);
[phin,preston]=getphi(theta,m,sum(data),max(data),length(data));



function d=dist(m,data)
theta=solvetheta(data,m);
[phin,pdf]=getphi(theta,m,sum(data),max(data),length(data));
actpdf=sadhist(data,50,2)'; %the 50=maximum # bins - just needs to be bigger than actual
%actpdf=sadhist(data,50,1)'; %use this version for no preston binning
%Volkv log chi2 version
d=sum((actpdf-pdf).^2./pdf);
%Original Hubbell generic likelihood version (use -log likelihood since we
%are minimizing
%nzobs=find(actpdf>0);d=-sum(actpdf(nzobs).*log(pdf(nzobs)./actpdf(nzobs)))-sum((pdf-actpdf));
%true likelihood - again through in a - since minimizing
%d=-sum(log(phin(data)));
return;

    
