%EUCLIDIST:	Returns the euclidean distance between two points, 
%				each specified by x and y coordinates.
%
%	USAGE:	dist = euclidist(p1,p2)
%	
%				dist = distance between points.
%				--------------------------------------------------------------------------
%				p1 = vector [x1,y1] containing the coordinates of the first point.
%				p2 = vector [x2,y2] containing the coordinates fo the second point.
%	
%	Chris Higgins 2/4/2000
%
% 	STAND ALONE
%

function dist = euclidist(p1,p2)

	x1 = p1(1);									% Find the x coordinate of the first point
	x2 = p2(1);									% Find the x coordinate of the second point
	
	y1 = p1(2);									% Find the y coordinate of the first point
	y2 = p2(2);									% Find the y coordinate of the second point

	a = (x2 - x1) .^ 2;						% Calculate distance based on the distance formula
	b = (y2 - y1) .^ 2;
	dist = sqrt(a + b);
   
return;
 
	