% FUNCTGRP: Given a data matrix on either species abundances or incidence, converts the distribution
%       of species into a distribution of functional groups.
%
%   USAGE: X = functgrp(Data,FG)
%
%       Data = [Sites x Species] matrix of abundances or incidence
%       FG = [Species x Functional Groups] matrix of functional groups each species belongs to
%       ---------------------------------------------------------------------------------------
%       X = [Sites x Functional Groups] matrix of functional group distributions
%
%   Chris L. Higgins 7/30/2004
%


function [X,PerSpp] = functgrp(Data,FG)

    [r,c] = size(Data);
    [r1,c1] = size(FG);
    if(c ~= r1)
        error('FUNCTGRP: Matrices are not appropriately sized!');
    end;
    
    X = Data * FG;
    
return;