% Habitat:

function [H_use,Rel_use,Pref] = habitat(Env,Abund,nbins,weight,iter)
    
    [rA,cA] = size(Abund);
    S = sum(Abund);
    I = find(S > 0);
    
    H_use = zeros(length(I)+2,nbins+3);
    Rel_use = zeros(length(I)+2,nbins);
    [Exp,x] = hist(Env,nbins);
    H_use(1,:) = [x 0 0 0];
    Rel_use(1,:) = x;
    H_use(2,:) = [Exp 0 0 0];
    Rel_use(2,:) = Exp / sum(Exp);

    for j = 1:length(I)
        ind = find(Abund(:,I(j)) > 0);
        if(weight == 0)
            Obs = hist(Env(ind),x);
        else;
            e = makegrps(Env(ind),Abund(ind,I(j)));
            Obs = hist(e,x);
        end;
        [ks1,ks2,ks3] = kstest2(Exp,Obs,[],iter);
        H_use(j+2,:) = [Obs ks1 ks2 ks3];
        Rel_use(j+2,:) = Obs / sum(Obs);
    end;    
    Pref = [];
    for k = 1:length(I)
        if(H_use(k+2,nbins+2) <= 0.05)
            P = Rel_use(k+2,:) - Rel_use(2,:);
            Pref = [Pref; k P];
        end;
    end;
    
return;