% ISBINARY: Determines whether or not a vector or matrix is binary.
%
%   Usage:  b = isbinary(X)
%
%           X = vector or matrix 
%           ----------------------------------------------------------------------
%           b = boolean value indicating whether data is binary (b=1) or not (b=0)
%
%   Chris L. Higgins 4/13/2004
%

function b = isbinary(X)

    i = find(X(:) ~= 0 & X(:) ~= 1);
    
    if(isempty(i))
        b = 1;
    else;
        b = 0;
    end;
      
return;