% LOGDEV: This function finds the negative log likelihood of deviations between
%   observed and expected values.
%
%   Usage: AD = logdev(obs,exp)
%
%   obs = a vector of observed values
%   exp = a vector of expected values
%   -----------------------------------------------------------------
%   AD = sum of absolute deviations between observed and expected
%
%   Chris L. Higgins 3/9/2003
%

function LogD = logdev(obs,exp)

    LogD = -sum(obs .* log(exp./obs) - (exp-obs));      % Based on equation on page 292 in Hubbell, except negative to minimize
    
return