%MAKEGROUPS:  Compose a group-membership column vector, given the group labels and frequencies.
%
%	USAGE: 	grps = makegroups(labels,freqs)
%
%				grps = grouping vector
%				------------------------------------------------------
%				labels = vector of group labels.
%				freqs = corresponding vetor of sample sizes for each group
%
%	Chris Higgins 10/23/1999
%
%	Stand Alone
%



function grps = makegroups(labels,freqs)

	[rl,cl] = size(labels);						    % Determine size of input vectors
    [rf,cf] = size(freqs);
   
	if(min([rl,cl]) > 1)
		error('MAKEGRPS: The labels input argument must be a vector.')
	end;
	if(min([rf,cf]) > 1)
		error('MAKEGRPS: The freqs input argument must be a vector.')
	end;		
   
    if(max([rf,cf]) == 1)       				    % Expand scalar for equal sample sizes
   	    freqs = freqs * ones(rl,cl);
  	end;
     
    if(length(labels) ~= length(freqs))
		error('MAKEGRPS: The labels and freqs vectors must be the same length.')
	end;

	grps = [];
	for i = 1:length(labels)
		l = labels(i);
		f = freqs(i);
		g = l .* ones(f,1);
		grps = [grps;g];
	end;
return;
 	
	