% NESTEDNULL

function null = nestednull(packed,mod,con,model,const)

    if(nargin < 2)
        mod = [];
    end;
    if(nargin < 3)
        con = [];
    end;
    if(nargin < 4)
        model = [];
    end;
    if(nargin < 5)
        const = [];
    end;
    
    if(isempty(mod))
        mod = 1;
    end;
    if(isempty(con))
        con = 1;
    end;
    if(isempty(model))
        model = 1;
    end;
    
    [islands,species] = size(packed);
    cells = islands*species;

    if(mod == 1)
        Binary = makebinary(packed);
        richness = rowsum(Binary);                      % Calculate the species richness for all sites
        occurence = sum(Binary);                        % Calculate the occurences for all site
        N = sum(richness);
    end;
    if(mod == 2)
        richness = rowsum(packed);                      % Calculate the species richness for all sites
        occurence = sum(packed);                        % Calculate the occurences for all site
        N = sum(richness);
    end;
    if(mod == 3)
        Binary = makebinary(packed);
        richness = rowsum(Binary);                      % Calculate the species richness for all sites
        occurence = sum(Binary);                        % Calculate the occurences for all site
        N = sum(sum(packed));
    end;

    switch con
        case 1
            P = ones(islands,species);
            P = P * (1/cells);
        case 2
            Cols = makegrps((1/species),species)';
            Rows = richness / sum(richness);
            P = (Rows * Cols);
        case 3
            Rows = makegrps((1/islands),islands);
            Cols = occurence / sum(occurence);
            P = (Rows * Cols);
        case 4
            P = (richness*occurence) / sum(richness)^2;
    end;
    
    if(model == 1)
        null = assignsp(P,N,const); 
    else;
        null = assignind(P,N,const);
    end;
    
return;

