% NULLMATRIX: This function creates a random matrix for use as a null model. It is constrained so
%               that the number of 1s stays the same and no rows or columns contain all zeros.
%
%   USAGE: Null = nullmatrix(X)
%
%   X = [r x c] matrix
%   ----------------------------------------------------------
%   Null = randomized matrix
%
%   Chris L. Higgins 3/14/2005
%

function Null = nullmatrix(X)

    [r,c] = size(X);
    N = sum(sum(X));
    Null = zeros(r,c);
    
   
    for i = 1:r
        Null(i,ceil(rand*c)) = 1;
    end;
        
    for i = 1:c
        Null(ceil(rand*r),i) = 1;
    end;
    
    N = N - sum(sum(Null));
    stop = 0;
    while stop < N
        x = ceil(rand*r);
        y = ceil(rand*c);       
        if(Null(x,y) ~= 1)
            Null(x,y) = 1;
            stop = stop + 1;
        end;
    end;
    
return;   