% PATHSTART: Determines the starting point for the search tactics models.
%
%
%

function start = pathstart(crds)

	[x,y,z] = size(crds);
	theta = pi/4;
   T = [cos(theta) -sin(theta); sin(theta) cos(theta)];		% Calculate transformation matrix
   
   start = zeros(1,z);
   
   for i = 1:z
      pts = (crds(:,:,i));												% Pull one set of crds from matrix
      new_pts = pts * T;												% Calculate rotated points
      s = sort(new_pts(:,1));											% Sort rotated points
      start(i) = find(new_pts(:,1) == s(1));						% Find index for starting point
   end;