% PLOTGROUPS:  Produce a seperate scatterplot for each group.
%
% 	Usage:   plotgroups(scores,grps)
%
%		         x,y = [n x 1] vectors of cartesian coordinates
%	           grps = [n x 1] grouping vector
%
% Chris Higgins 10/19/1999
%

function plotgroups(scores,grps)

	g = unique1(grps);
	n = length(g);
   
   minx = zeros(n,1);
   miny = zeros(n,1);
   maxx = zeros(n,1);
   maxy = zeros(n,1);
   
   for i = 1:n
      f = find(grps == g(i));
      minx(i) = min(scores(f,1));
      miny(i) = min(scores(f,2));
      maxx(i) = max(scores(f,1));
      maxy(i) = max(scores(f,2));
   end;   
   
   axes = zeros(1,4);
  	axes(1) = min(minx) - (0.05 * range(minx));
 	axes(2) = max(maxx) + (0.05 * range(maxx));
  	axes(3) = min(miny) - (0.05 * range(miny));
  	axes(4) = max(maxy) + (0.05 * range(maxy));
   
   for i = 1:n
		f = find(grps == g(i));
      subplot(ceil(sqrt(n)),ceil(sqrt(n)),i);
      plot(scores(f,1),scores(f,2),'.');
		t = ['Group ',num2str(g(i))];
      title(t);
      axis(axes);
 	end;
return;
