%PLOTGROUPS3D
%
%
%

function plotgroups3d(x,y,z,grps,pltpts,pltcnt)
	
	if(nargin < 1)
      error('PLOTGROUPS3D: The x coordinates must be specified.');
   end;
   if(nargin < 2)
      error('PLOTGROUPS3D: The y coordiantes must be specified.');
   end;
   if(nargin < 3)
      error('PLOTGROUPS3D: The z coordinates must be specified.');
   end;
   if(nargin < 4)
      grps = [];
   end;
   if(nargin < 5)
      pltpts = [];
   end;
   if(nargin < 6)
      pltcnt = [];
   end;
   
   lenx = length(x);
   leny = length(y);
   lenz = length(z);
   
   if(lenx == leny == lenz)
      error('PLOTGROUPS3D: The x,y,and z coordiantes must all be the same length.');
   end;
      
   if(isempty(grps))
      grps = ones(lenx,1)
   end;
   if(isempty(pltpts))
      pltpts = 1;
   end;
   if(isempty(pltcnt))
      pltcnt = 0;
   end;

	[u,freq] = unique1(grps);          % Find groups and frequencies
  	ngrps = length(u);

	hold on;
  
  	for i = 1:ngrps                      		 % Cycle thru groups
   	index = find(grps == u(i));       			   % Isolate points for current group
   	x_pts = x(index);
    	y_pts = y(index);
    	z_pts = z(index);
       
     % color = [y m c r g b k]
   	if(pltpts == 1)	
      	plot3(x_pts,y_pts,z_pts,'.');			% Plot data points
    	end;

		if(pltcnt == 1)                  		 % Plot group centroids
      	m = mean([x_pts y_pts z_pts]);
         plot3(m(1),m(2),m(3),'b*');
         text(m(1),m(2),m(3),num2str(i));
         plot3([m(1) m(1)],[m(2) m(2)],[-2 m(3)],'k-');
    	end;
       
       
 	end;
    rotate3d; 
    grid on;
    xlabel('X');
    ylabel('Y');
    zlabel('Z');
    
	hold off;                             % End plot

return;
