% PLOTLABEL: 	Accepts the (x,y) coordinates for a set of points as well as a 
%					corresponmding vector of group labels (either numeric or text)
%					and prodeces a scatter plot of the points represented by a label 
%					rather than a symbol.
%
% 	Usage: 		plotlabel(x,y,label)
%	
%	Chris Higgins
%

function plotlabel(x,y,label)

	if(nargin < 2)
      y = [];
   end;
   if(nargin < 3)
      label = [];
   end;
   
   if(isempty(y))
		y = x(:,2);
		x = x(:,1);
   end;
   
	if(length(x)~=length(y))
		error('PLOTLABL: The size of x and y must be equal.');
	end;
   
   figure;
	plot(x,y,'w.');
	if(isempty(label))
		for i = 1:length(x)
			c = num2str(i);
			text(x(i),y(i),c); 
		end;
	else;
		for i = 1:length(x)
			text(x(i),y(i),label);
      end;
   end;

	axis square;

   
return
   