%POPCHANGE:  Model a proportional population change counting the number of generations
%           it takes to reach the threshold population size
%
%   USAGE:  gens = popchange(N0,rate,threshold)
%
%           gens = the number of generations it takes to reach the threshold
%           -------------------------------------------------------------------------
%           N0 = the initial population size
%           rate = proportional population change per generation
%           threshold = the maximum number of indindiuals the environment can support
%
% Chris Higgins 11/23/1999
%

function gens = popchange(N0,rate,threshold)
  if(N0 <= 0)
     error('POPLCHNG: The initial population size must be greater than zero.');
  end;
  if(threshold <= 0)
     error('POPLCHNG: The threshold must be greater than zero.');
  end;
  if(rate <= 0)
     error('POPLCHNG: The rate must be greater than zero.');
  end;
  
  gens = 0;
  N = N0;
  %go = 1;
  %if(rate < 1)
   %  if(N <= threshold)
    %    go = 0;
     %end;
  %else;
   %  if(N > threshold)
    %    go = 1;
    % end;
  %end;
  while(N < threshold)
     gens = gens + 1;
     N = floor(N .* rate);
  end;
return;