%POPGROWTH: Calculates the population size after a certain amount of time given 
%        	a birth rate and a death rate along with the initial population size.
%
%	USAGE: [N,delta_N] = popgrowth(b,d,N0,max_gen)
%
%					N = the final population size
%					-------------------------------------------
%					b = birth rate
%					d = death rate
%					N0 = initial population size
%					max_gen = the maximum number of generations projected
%					delta_N = the change in population per time
%
% Chris Higgins 11/11/1999
%

function [N,delta_N] = PopGrowth(N0,r,t,K,rVar,KVar)

    switch
        case 1
            N = ExpPopGrowth(N0,t,r,rVar)
        case 2
            N = LogPopGrowth(N0,t,r,K)

return;
     