% POWERFRACTF:

function Kest = powerfractf(data,iter)

    [r,c] = size(data);                     % Determine the total number of sites and species
    model = zeros(r,1);
    D = [];
    for i = 1:r
        ind = find(data(i,:) > 0);          % Find the species that are present at each site
        Obs = data(i,ind);                  % Create a new vector of observed counts
        Obs = abs(sort(-Obs));              % Rank the species abundances from high to low
        S = length(ind);                 % Calculate the species richness for each site
        N = sum(Obs);                       % Calculate the total # of individuals for each site
        for j = 1:iter
            K = 0.01;                                         % Set initial value of k to zero
            K = fminsearch('powerfractff',K,[],S,N,Obs);            % Optimization routine
            Kest(j) = K;                                        % Place best ke estimates into vector
        end;
    end;

return;