%PTLINE: Calculates the perpendicular distance between a point and a line where the line is defined by two points
%
%   Usage: D = ptline(pt,line)
%
%   pt = a point
%   line = a line defined by two points
%   -------------------------------------------------------------------------------
%   D = the perpendicular distance betwen the point and the line
%
%   Chris L. Higgins 2/15/2003
%

function D = ptline(pt,line)

    x = pt(1);
    y = pt(2);
    x0 = line(1,1);
    y0 = line(1,2);
    x1 = line(2,1);
    y1 = line(2,2);

    D = abs(((y0 - y1)*x + (x1 - x0)*y + (x0*y1 - x1*y0)) / sqrt(((x1 - x0)^2 + (y1 - y0)^2)));

return;