%PTSDIST: Calculates the distance between two points
%
%   Usage: D = ptsdist(pt1,pt2)
%
%   pt1 = the first point [x y]
%   pt2 = the second point [x y]
%   ------------------------------------------------------
%   D = the distance between the two points
%
%   Chris L. Higgins 2/15/2003
%

function D = ptsdist(pt1,pt2)

    if(nargin < 2)
        error('PTSDIST: Two points must be specified!')
    end;
    
    D = sqrt((pt1(1) - pt2(1))^2 + (pt1(2) - pt2(2))^2);
    
return;