%PTSLINE: This function provides the equation for a line [l1,l2,l3] through two points
%
%   Usage:  L = ptsline(pt1,pt2)
%
%   pt1 = the first point [x y]
%   pt2 = the second point [x y]
%   ---------------------------------------------------------
%   L = the line passing through the two points [x y z]
%
%   Chris Higgins 1/31/2003

function L = ptsline(pt1,pt2)

    if(nargin < 2)
        error('PTSLINE: Two points must be specified!');
    end;
    if(length(pt1) > 2 | length(pt2) > 2)
        error('PTSLINE: This function works for 2 dimensions only!');
    end;

    x1 = pt1(1);
    y1 = pt1(2);
    x2 = pt2(1);
    y2 = pt2(2);
    
    L = [(y1 - y2), (x2 - x1), (x1*y2 - x2*y1)];

return;
