% 	PUTBOUNDS: 	Changes the minimum and maximum settings for both axes to a specified
%					buffer beyond the range of the data.
%
%	USAGE: 		putbounds(x,y,{buffer}) 
%
%					-----------------------------------------------------------------
%          		x = vector of x coordinates
%					y = vector of y coordinates
%					buffer = optional, specifies the percent buffer {default = 5%}
%
%	Chris Higgins 5/4/2000
%

function putbounds(x,y,buffer)

	[r,c] = size(x);

	if(nargin < 2)
      y = [];
   end;
   if(nargin < 3)
      buffer = [];
   end;

	if(isempty(y))
   	if(c >= 2)
      	y = x(:,2);
      	x = x(:,1);
    	else
      	error('PUTBOUNDS: Invalid point coordinates!');
    	end;
  	end;

  	if(isempty(buffer))
 		buffer = 0.05;
  	end;

	x = x(:);
  	y = y(:);

	axes = zeros(1,4);
  	axes(1) = min(x) - (buffer * range(x));
 	axes(2) = max(x) + (buffer * range(x));
  	axes(3) = min(y) - (buffer * range(y));
  	axes(4) = max(y) + (buffer * range(y));

	axis(axes);

return;
