%	PUTYLABEL:	Puts a label for the y axis on the current figure and will optionally 
%					put the percentage accounted for by that axis next to the label.
%
%	USAGE:		putylabel(text,{per},{font})
%
%					-----------------------------------------------------------
%					text = the character string to label the axis
%        		per =  optional, the percentage account for {default = 0}
%        		font = optional, font size {default = 14}
%
% 	Chris Higgins	5/4/2000
%

function putylabel(text,per,font)

	if(nargin < 2)
      per = [];
   end;
   if(nargin < 3)
      font = [];
   end;

   if(isempty(font))
      font = 14;
   end;
   
	if(~isempty(per))
   	p = sprintf(' (%3.1f',per);
   	text = [text p '%)'];
  	end;

  	ylabel(text,'FontName','helvetica','FontSize',font);
     
 return;