% RANDSAMPLE:     Determines if a given population is a random subset of 
%               and the number of observations mst be supplied.
%
%   USAGE:      [
%
%   Chris Higgins 1/24/2005    
%

function [p] = randsample(X,Y,iter)

    if(nargin < 3)
        iter = [];
    end;
    if(isempty(iter))
        iter = 1000;
    end;

    lenX = length(X);
    [ux,fx] = unique1(X);
    lenux = length(ux);
    lenY = length(Y);
    
    for i = 1:iter
        RP = randperm(lenY);
        indX = RP(1:lenX);
        [u,f] = unique1(indX);
        Dist(i) = length(u);
    end;
    
    p = pvalue(lenux,Dist,1);   

     
 return;
 