% REMOVE:  This function removes a row or column from a matrix, leaving the rest of the matrix intact, or 
%   removes a scalar from a row or column vector, leaving the rest intact.
%
%   Usage: Y = remove(X,rc,ind)
%
%   X = a [r x c] matrix
%   ind = specifies which row or column is to be removed
%   rc = specifies whether rows (1) or column (~1) are to be removed
%   -------------------------------------------------------------------------------------------------------
%   Y = [r-1 x c] or [r x c-1] matrrix
%
%   Chris Higgins   10/10/2006
%

function Y = remove(X,ind,rc)

    [r,c] = size(X);
    
    Z = X;

    if(isempty(ind))
        Y = X;
    else;
        ind = sort(ind);
    
        for i = 1:length(ind)
            k = ind(i) - (i-1);
            if(r > 1 & c > 1)
                if(rc == 1)
                    if(k == 1)
                        Y = Z(k+1:r,:);
                    end;
                    if(k > 1 & k < r)
                        Y = Z([1:k-1 k+1:r],:);
                    end;
                    if(k == r)
                        Y = Z(1:r-1,:);
                    end;
                else;
                    if(k == 1)
                        Y = Z(:,k+1:c);
                    end;
                    if(k > 1 & k < c)
                        Y = Z(:,[1:k-1 k+1:c]);
                    end;
                    if(k == c)
                        Y = Z(:,1:c-1);
                    end;
                end;
            else
                if(k== 1)
                    Y = Z(k+1:length(Z));
                end;
                if(k > 1 & k< length(Z))
                    Y = Z([1:k-1 k+1:length(Z)]);
                end;
                if(k == length(Z))
                    Y = Z(1:length(Z)-1);
                end;
            end;  
            Z = Y;
            [r,c] = size(Z);
        end;
    end;
return;