% REPLMENTS: This function calculates the number of times some species replaces another between two sites.
%           Repalcements is referred to as "checkerboard" by Connor and Simberloff.
%
%   USAGE: Re = replments(X)
%
%   X = [sites x species] incidence matrix
%   ----------------------------------------------------
%   Re = replacements
%
%   Chris L. Higgins 3/14/2005
%
%   Leibold,M.A. and Mikkelson,G.M.  2002.  Coherence, species turnover, and boundary clumping: elements 
%       of meta-community structure.  Oikos 97: 237-250.

function Re = replments(X)

    [r,c] = size(X);

    Re = 0;
    for i = 1:r-1
        for j = i+1:r
            for k = 1:c-1
                for l = k+1:c
                    if(X(i,k) == 1 & X(i,l) == 0 & X(j,k) == 0 & X(j,l) == 1)
                        Re = Re + 1;
                    end;
                    if(X(i,k) == 0 & X(i,l) == 1 & X(j,k) == 1 & X(j,l) == 0)
                        Re = Re + 1;
                    end;
                end;
            end;
        end;
    end;
    
return;