% rowsum:  This function calculates the row totals of a data matrix.
%
%   Usage: S = rowsum(X)
%
%   X = [rows x columns] data matrix
%   -----------------------------------------------------------------------------------
%   S = [row x 1] vector of row sums
%
%   Chris L. Higgins
%

function S = rowsum(X)

    [r,c] = size(X);                            % Determine size of input matrix
        
    S = zeros(r,1);                             % Allocate output matrix
    
    for i = 1:r                                 % Cycle through each row
        S(i) = sum(X(i,:));                     % Calculate sum of each row
    end;
    
return;