function [counts,edges,centers]=sadhist(abund,nbins,bLog)
% [counts,edges,centers]=sadhist(abund[,nbins[,bLogScale]])
abund=abund(:);
if nargin<3, bLog=0;end
if nargin<2 | isempty(nbins),
    if bLog,
        nbins=ceil(log2(max(abund)));
    else 
        nbins=10; 
    end 
end

if bLog,
    edges=[0 2.^(0:ceil(log2(max(abund))))];
    if length(edges)-1>nbins,
        edges(nbins+1)=edges(end);
        edges(nbins+2:end)=[];
    end
    centers=edges(1:end-1)+(edges(2:end)-edges(1:end-1))/2;
    counts=myhistc(abund,edges);
    %Preston binning assigns boundaries half to each bin - important for comparing
    % continuous with discrete distributions
    if bLog>1  
        for i=2:(length(edges)-1),
            nfence=sum(abund==edges(i));
            counts(i-1)=counts(i-1)-nfence/2;
            counts(i)=counts(i)+nfence/2;
        end
    end

else
    lo=min(abund);
   hi=max(abund);
   binwidth=(hi-lo)/nbins;
   edges = lo+ binwidth*(0:nbins);
   centers=edges(1:end-1)+binwidth/2;
   edges=floor(edges);
   edges(1)=floor(lo);edges(end) = ceil(hi); %make sure all data included even with float rounding errors
   counts=myhistc(abund,edges);
end

