% SAMPLEWOR: 	Randomly sample without replacement from a given population
%
%		USAGE:	[xsamp,i] = samplewor(x,{sampsize})
%
%					xsamp = the sample from the data
%					i = the indices from the data matrix
%					--------------------------------------
%					x = the input data matrix
%					sampsize = optional, the input sample size
%
%	Chris Higgins 10/28/1999
%

function [xsamp,i] = samplewor(x,sampsize)
	[r,c] = size(x);
   
   if(nargin < 1)
      error('SAMPLEWOR: A data matrix must be entered.');
   end;
   if(nargin < 2)
   	sampsize = [];
  	end;
	  
   if(isempty(sampsize))
      sampsize = r;
   end;
   
   if(sampsize > r)
   	error('SAMPLEWOR: The sample size cannot be greater than number of rows of matrix x.');
  	end;
     
  	if(c > 1)
   	x=x(:);
     	disp('SAMPWR: The data matrix has been transformed into a coumn vector.');
  	end;


  	i = randperm(r);
  	i = i(1:sampsize);
  	xsamp = x(i,:);
return;