% samplewr: Randomly samples with replacement from a given population.
%
%	USAGE: 	[xsamp,i] = samplewr(x,{sampsize})
%
%				xsamp = a sample of the matrix x
%				i = the indices of the sample matrix
%				-------------------------------------------------------------------
%				x = the input matrix
%				sampsize = optional, the size of the sample {default = length of x}
%
%	Chris Higgins 10/28/1999
%

function [xsamp,i] = samplewr(x,sampsize)

  if(nargin < 2)
     sampsize = [];
  end;
  
  if(isempty(sampsize))
     sampsize = length(x);
  end;
  
  i = ceil(rand(sampsize,1) .* length(x));
  xsamp = x(i,:);
 
return;