% SIMILARITY: 

function C = similarity(X,ind,dis)

    if(nargin < 2)
        ind = [];
    end;
    if(nargin < 3)
        dis = [];
    end;
    
    if(isempty(ind))
        ind = 1;
    end;
    if(isempty(dis))
        dis = 0;
    end;
    
    B = isbinary(X);
    
% Qualitative similarity indices (presence/absence data)  

    if(B == 1 & ind == 1)               
        C = jaccard(X);
    end;
    if(B == 1 & ind == 2)
        C = sorensen(X);
    end;

% Quantitative similarity indices (abundance data)

    if(B == 0 & ind == 1)
        C = braycurtis(X);
    end;
    if(B == 0 & ind == 2)
        C = morisitahorn(X);
    end;
    
% Convert similarity into dissimilairty (distance)

    if(dis ~= 0)    
        C = 1 - C;
    end;
    
return