% SNAILSIM: Density-independent and scale neutral simulation for snail nestedness.
%
%

function [Nc1,Nc2,Nc3,Nc4] = snailsim(X,extr,space)

    [r,c,d] = size(X);                                          % determine size of inout matrix

    
    Y1 = snaildisn(X,extr);                                 % Density-independent & spatially-neutral
    Y2 = snailddsn(X,extr);                                 % Density-dependent & spatialy-neutral
    Y3 = snaildise(X,extr,space);                           % Density-independent & spatiall-explicit
    Y4 = snailddse(X,extr,space);                           % Density-dependent & spatially-explicit
    
    for i = 1:d
        [Nc1(i),PNc1(i),PvNc1(i),C,PvC,NcExp1(i),NcStd] = nestnc(Y1(:,:,i),0,4);
        [Nc2(i),PNc2(i),PvNc2(i),C,PvC,NcExp2(i),NcStd] = nestnc(Y2(:,:,i),0,4);
        [Nc3(i),PNc3(i),PvNc3(i),C,PvC,NcExp3(i),NcStd] = nestnc(Y3(:,:,i),0,4);
        [Nc4(i),PNc4(i),PvNc4(i),C,PvC,NcExp4(i),NcStd] = nestnc(Y4(:,:,i),0,4);
    end;
    
    

%     [r,c,d] = size(X);                                        % determine size of input matrix
%     
%     Y1 = zeros(r,c,d);                                        % allocate output matrices
%     Y2 = zeros(r,c,d);
%     
%     A = ones(1,c) * (1/c);                                    % calcualte equal species abundances (denisty-independent)
%     CumA = cumsum(A);                                         % convert to cumulative distribution
%     
%     for i = 1:d                                               % calcualte species abundances (density-dependent)
%         B(i,:) = sum(X(:,:,i));
%     end;
%     B = sum(B);
%     CumB = cumsum(B);                               % convert to cumulative distribution
%     
%     for i = 1:d
%         for j = 1:r
%             ind = find(X(j,:,i) > 0);               % find species with positive abundances
%             S = length(ind);                        % determine number of species per site
%             for k = 1:S
%                 indA = find(CumA >= rand);          % find species that are randomly present (density-independent)
%                 Y1(j,indA(1),i) = 1;                % place species in binary matrix
%                 indB = find(CumB >= rand);          % find species that are randomly present (density-dependent)
%                 Y2(j,indB(1),i) = 1;                % place species in binary matrix
%             end;
%         end;
%     end;
    
return