function theta=solvetheta(data,m)
%theta=solvetheta(data,m)

S=length(data);
J=sum(data);
nmax=min(2^ceil(log2(max(data))),J);
theta0=-6.5+.26*S; if theta0<0, theta0=1; end
if m==1, %metacommunity case, reduces to logseries
    lsx=newtonraphson(length(data)/sum(data),'(x-1)/x*log(1-x)',[],0.999999999,.0000001);
    if isnan(lsx),
        %warning('Logseries fit failed to converge'); 
        lsx=0.99;
    end
    theta=-S/log(1-lsx);
else
    %theta=fzero(@seqconst,theta0,optimset('Display','iter','TolX',0.001,'TypicalX',[1 2 5 10 20 50 100 150 200]),S,J,nmax,m);
    g=m*(J-1)/(1-m); %gamma
    theta=fzero(@spconst,theta0,optimset('Display','off','TolX',0.001),S,J,m,nmax,g);
    if isnan(theta),
        error('NaN theta - possibly m<=0.01');
    end
end
return;


function s=spconst(theta,S,J,m,nmax,g)
if theta<=0,
    s=1000; %hopefully 1000 is lots of species relative to data
    return;
end 
s=S-theta*quadl(@sumint,0,g,0.000001,0,theta,J,m,nmax,g);
return;

function s=sumint(x,theta,J,m,nmax,g)
%assumes x comes in as row vector
n=(1:nmax)';
xonly=-x*theta/g-gammaln(1+x)-gammaln(g-x);
noxn=+gammaln(J+1)+gammaln(g)-gammaln(J+g);
nonly=-gammaln(J-n+1)-gammaln(n+1);
nr=repmat(n,1,length(x));
xr=repmat(x,length(n),1);
nandx=+gammaln(nr+xr)+gammaln(J-nr+g-xr);
s=sum(exp(repmat(xonly,length(n),1)+repmat(noxn,length(n),length(x))+repmat(nonly,1,length(x))+nandx),1);
return;


function deltaS=seqconst(theta,S,J,nmax,m)
s=0;
for i=1:nmax,
    s=s+expphi(i,theta,J,m);
end
deltaS=(S-s);