% SUBBOXPLOT

function subboxplot(Temp,Tc1,Tc2,Tc3,Tc4)

if(nargin < 2)
    Tc1 = [];
end;
if(nargin < 3)
    Tc2 = [];
end;
if(nargin < 4)
    Tc3 = [];
end;
if(nargin < 5)
    Tc4 = [];
end;

Grps = makegrps([1 2 3 4 5],[100 100 100 100 100]);

hold on
subplot(2,5,1)
X = [Temp(:,1);Temp(:,2);Temp(:,3);Temp(:,4);Temp(:,5)];
boxplot1(Grps,X);
%boxplot(X(:,1:5),[],[],[],[],100)
hold on
plot(Tc1(1:5),'k')
plot(Tc2(1:5),'k--')
plot(Tc3(1:5),'k-.')
plot(Tc4(1:5),'k:')
axis([0.5 5.5 0 80])
puttitle('Geometric SAD',12);
putx('');
t = text(-1.3,27,'Temperature');
set(t,'Rotation',90)
set(t,'FontSize',12)
set(gca,'XTickLabel',' ')
subplot(2,5,6)
X = [Temp(:,6);Temp(:,6);Temp(:,8);Temp(:,9);Temp(:,10)];
boxplot1(Grps,X);
%boxplot(X(:,6:10),[],[],[],[],100)
hold on
plot(Tc1(6:10),'k')
plot(Tc2(6:10),'k--')
plot(Tc3(6:10),'k-.')
plot(Tc4(6:10),'k:')
axis([0.5 5.5 0 80])
putx('');
t = text(-1.3,27,'Temperature');
set(t,'Rotation',90)
set(t,'FontSize',12)
set(gca,'XTickLabel',' ')
a = text(1,-10,'200');
set(a,'Rotation',90)
b = text(2,-10,'356');
set(b,'Rotation',90)
c = text(3,-10,'632');
set(c,'Rotation',90)
d = text(4,-12.5,'1125');
set(d,'Rotation',90)
e = text(5,-12.5,'2000');
set(e,'Rotation',90)
t = text(2,-20,'Density');
set(t,'FontSize',12')
subplot(2,5,2)
X = [Temp(:,11);Temp(:,12);Temp(:,13);Temp(:,14);Temp(:,15)];
boxplot1(Grps,X);
%boxplot(X(:,11:15),[],[],[],[],100)
hold on
plot(Tc1(11:15),'k')
plot(Tc2(11:15),'k--')
plot(Tc3(11:15),'k-.')
plot(Tc4(11:15),'k:')
axis([0.5 5.5 0 80])
puttitle('Poisson SAD',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,5,7)
X = [Temp(:,16);Temp(:,17);Temp(:,18);Temp(:,19);Temp(:,20)];
boxplot1(Grps,X);
%boxplot(X(:,16:20),[],[],[],[],100)
hold on
plot(Tc1(16:20),'k')
plot(Tc2(16:20),'k--')
plot(Tc3(16:20),'k-.')
plot(Tc4(16:20),'k:')
axis([0.5 5.5 0 80])
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-10,'200');
set(a,'Rotation',90)
b = text(2,-10,'356');
set(b,'Rotation',90)
c = text(3,-10,'632');
set(c,'Rotation',90)
d = text(4,-12.5,'1125');
set(d,'Rotation',90)
e = text(5,-12.5,'2000');
t = text(2,-20,'Density');
set(t,'FontSize',12')
set(e,'Rotation',90)
subplot(2,5,3)
X = [Temp(:,21);Temp(:,22);Temp(:,23);Temp(:,24);Temp(:,25)];
boxplot1(Grps,X);
%boxplot(X(:,21:25),[],[],[],[],100)
hold on
plot(Tc1(21:25),'k')
plot(Tc2(21:25),'k--')
plot(Tc3(21:25),'k-.')
plot(Tc4(21:25),'k:')
axis([0.5 5.5 0 80])
puttitle('Log-series SAD',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,5,8)
X = [Temp(:,26);Temp(:,27);Temp(:,28);Temp(:,29);Temp(:,30)];
boxplot1(Grps,X);
%boxplot(X(:,26:30),[],[],[],[],100)
hold on
plot(Tc1(26:30),'k')
plot(Tc2(26:30),'k--')
plot(Tc3(26:30),'k-.')
plot(Tc4(26:30),'k:')
axis([0.5 5.5 0 80])
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-10,'200');
set(a,'Rotation',90)
b = text(2,-10,'356');
set(b,'Rotation',90)
c = text(3,-10,'632');
set(c,'Rotation',90)
d = text(4,-12.5,'1125');
set(d,'Rotation',90)
e = text(5,-12.5,'2000');
set(e,'Rotation',90)
t = text(2,-20,'Density');
set(t,'FontSize',12')
subplot(2,5,4)
X = [Temp(:,31);Temp(:,32);Temp(:,33);Temp(:,34);Temp(:,35)];
boxplot1(Grps,X);
%boxplot(X(:,31:35),[],[],[],[],100)
hold on
plot(Tc1(31:35),'k')
plot(Tc2(31:35),'k--')
plot(Tc3(31:35),'k-.')
plot(Tc4(31:35),'k:')
axis([0.5 5.5 0 80])
puttitle('Broken-stick SAD',12);
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,5,9)
X = [Temp(:,36);Temp(:,37);Temp(:,38);Temp(:,39);Temp(:,40)];
boxplot1(Grps,X);
%boxplot(X(:,36:40),[],[],[],[],100)
hold on
plot(Tc1(36:40),'k')
plot(Tc2(36:40),'k--')
plot(Tc3(36:40),'k-.')
plot(Tc4(36:40),'k:')
axis([0.5 5.5 0 80])
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-10,'200');
set(a,'Rotation',90)
b = text(2,-10,'356');
set(b,'Rotation',90)
c = text(3,-10,'632');
set(c,'Rotation',90)
d = text(4,-12.5,'1125');
set(d,'Rotation',90)
e = text(5,-12.5,'2000');
set(e,'Rotation',90)
t = text(2,-20,'Density');
set(t,'FontSize',12')
subplot(2,5,5)
X = [Temp(:,41);Temp(:,42);Temp(:,43);Temp(:,44);Temp(:,45)];
boxplot1(Grps,X);
%boxplot(X(:,41:45),[],[],[],[],100)
hold on
plot(Tc1(41:45),'k')
plot(Tc2(41:45),'k--')
plot(Tc3(41:45),'k-.')
plot(Tc4(41:45),'k:')
axis([0.5 5.5 0 80])
puttitle('Uniform SAD',12);
t = text(6.5,29,'Linear ISD');
set(t,'Rotation',90)
set(t,'FontSize',12)
putx('');
puty('');
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
subplot(2,5,10)
X = [Temp(:,46);Temp(:,47);Temp(:,48);Temp(:,49);Temp(:,50)];
boxplot1(Grps,X);
%boxplot(X(:,46:50),[],[],[],[],100)
hold on
plot(Tc1(46:50),'k')
plot(Tc2(46:50),'k--')
plot(Tc3(46:50),'k-.')
plot(Tc4(46:50),'k:')
axis([0.5 5.5 0 80])
putx('');
puty('');
t = text(6.5,27,'Uniform ISD');
set(t,'Rotation',90)
set(t,'FontSize',12)
set(gca,'XTickLabel','')
set(gca,'YTickLabel','')
a = text(1,-10,'200');
set(a,'Rotation',90)
b = text(2,-10,'356');
set(b,'Rotation',90)
c = text(3,-10,'632');
set(c,'Rotation',90)
d = text(4,-12.5,'1125');
set(d,'Rotation',90)
e = text(5,-12.5,'2000');
set(e,'Rotation',90)
t = text(2,-20,'Density');
set(t,'FontSize',12')

return;