% SUMSQDEV: This function finds the sum of squared deviations between
%   observed and expected values.
%
%   Usage: SSD = sumsqdev(obs,exp)
%
%   obs = a vector of observed values
%   exp = a vector of expected values
%   -----------------------------------------------------------------
%   SSD = sum of squared deviations between observed and expected
%
%   Chris L. Higgins 3/9/2003
%

function SSD = sumsqdev(obs,exp)

    S = length(obs);
    
    D2 = zeros(S,1);
    for i = 1:S
        D2(i) = (obs(i) - exp(i))^2;
    end;
    
    SSD = sum(D2);

return;