%THETAMATRIX: 	Detrmines an angle matrix given a series of coordinates.
%
%	USAGE:		theta = thetamatrix(pts)
%
%					theta = a square angle matrix
%					----------------------------------------------------------------------
%					pts = an [n x 2] matrix of coordinates
%						column 1 = x coordinates
%						column 2 = y coordinates
%
%	Chris Higgins 3/14/2000
%
%	REQUIRES: anglerad
%

function theta = thetamatrix(pts)

   len = length(pts);
   theta = zeros(len,len);
       
   for i = 1:len
      x = pts(i,:);
      for j = 1:len
         y = pts(j,:);
         ang = anglerad(x,y);
         theta(i,j) = ang;
      end;
   end;
return;
   
